MODULE KermitHelp ;

EXPORTS

PROCEDURE DoHelp ;

PRIVATE

IMPORTS  KermitUtils FROM KermitUtils ;


PROCEDURE DoHelp ;
(*)
 * Print out the Kermit help info. Use the utilities to write the
 * commands in inverse video.
(*)
BEGIN (*-DoHelp-*)
Writeln( Chr(#014) ) ; (* Clear the screen *)
Inverse( TRUE ) ;  Writeln(' CONNECT'); Inverse( FALSE ) ;
Writeln('Connect the PERQ to another host.  This allows you to log  into  other');
Writeln('systems.');
Inverse( TRUE ) ;  Writeln(' EXIT'); Inverse( FALSE ) ;
Writeln('Exit from KERMIT back to the PERQ operating system.');
Inverse( TRUE ) ;  Writeln(' HELP'); Inverse( FALSE ) ;
Writeln('Print instructions on various commands available in KERMIT.');
Inverse( TRUE ) ;  Writeln(' QUIT'); Inverse( FALSE ) ;
Writeln('Same as EXIT.');
Inverse( TRUE ) ;  Writeln(' RECEIVE <optional file-name>'); Inverse( FALSE ) ;
Writeln('Receive a file group from the remote host.  If an incoming  file  name');
Writeln('is  not  legal,  then attempt to transform it to a similar legal name,');
Writeln('e.g.  by deleting  illegal  or  excessive  characters.   If  the  file');
Writeln('already exists, it will be superceded unless WARNING is ON.');
Inverse( TRUE ) ;  Writeln(' SEND <file-specification>'); Inverse( FALSE ) ;
Writeln('Sends a file from the PERQ to the remote host.  The name of  the  file');
Writeln('is  passed to the remote host in a special control packet, so that the');
Writeln('remote host can store it with the same name.  Wildcards  are  not  yet');
Writeln('supported.');
Inverse( TRUE ) ;  Writeln(' SET <keyword>'); Inverse( FALSE ) ;
Writeln('Change various system-dependent parameters.  For a list  of  keywords,');
Writeln('type SET ?.');
Inverse( TRUE ) ;  Writeln(' SHOW <keyword>'); Inverse( FALSE ) ;
Writeln('Display various system-dependent parameters  established  by  the  SET');
Writeln('command.  For a list of available keywords type SHOW ?.');
Inverse( TRUE ) ;  Writeln(' STATISTICS'); Inverse( FALSE ) ;
Writeln('Display some statistics about Kermit''s operations.');

Writeln
END (*-DoHelp-*) .

